/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * globe.h
 * Copyright (C) Mike Crash 2009 <mike@mikecrash.com>
 * 
 * main.c is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.c is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FUNCTIONS_H
#define _FUNCTIONS_H

#define pi 3.1415926535897932384626433832795

#define min(a,b) ((a)<(b)?a:b)
#define max(a,b) ((a)>(b)?a:b)

long min4(long l1, long l2, long l3, long l4);
long max4(long l1, long l2, long l3, long l4);
long scan_bits(long i);
long upper_bits(long i, long id);
long strlong(char *s);

int is_inrect(long x, long y, long x1, long y1, long x2, long y2);
int is_rectinrect(long rx1, long ry1, long rx2, long ry2, long x1, long y1, long x2, long y2);

int strcasepos(char *str, char *needle);
int nice_dist(char *s, long meters, int rounding);

int country_code(char *country);


#endif
