/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * map_address.h
 * Copyright (C) Mike Crash 2009 <mike@mikecrash.com>
 * 
 * main.c is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.c is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _MCMAPADDRESS_H
#define _MCMAPADDRESS_H

#include <map.h>

typedef enum
{
  MAS_COUNTRY,
  MAS_CITY,
  MAS_STREET,
  MAS_ADDRESS
} mastypes;

typedef struct
{
  mastypes type;
  long index;
  long parent;
  long filepos;
  char name[];
} mapaddrsearch;

int map_address_init(void);
int map_address_clear(void);


#endif
