/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * map_city.h
 * Copyright (C) Mike Crash 2009 <mike@mikecrash.com>
 * 
 * main.c is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.c is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _MAPCITY_H
#define _MAPCITY_H

#include "map_address.h"

typedef struct
{
  long id;
  long filepos;             //file position of city
  long country;
  long namefilepos;
  long streetsfilepos;
  map_position pos;
  char name[];
} tcity;

mapaddrsearch *map_city_start(char *name, long parent, long filepos);
tcity *map_city_get(mapaddrsearch *as);
void map_city_stop(mapaddrsearch *as);


#endif
