/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * map_poi.h
 * Copyright (C) Mike Crash 2009 <mike@mikecrash.com>
 * 
 * main.c is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.c is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _MCMAPCREATECONVERT_H
#define _MCMAPCREATECONVERT_H

#include "map_tags.h"
#include "map_nodes.h"
#include "map_ways.h"
#include "map_relation.h"

int map_convert(map_tags *tags, osm_node *node, osm_way *way, map_multipolygon *mp);
int map_reindex();
int map_fix_duplicate_text(void);
long create_node(long long id, map_position *pos = NULL);
int save_plane(maptypes mt, map_multipolygon *mp);
int remove_plane(long id);
int save_poi(maptypes mt, long lat, long lon, int flags, char *name);


#endif
