/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * map.c
 * Copyright (C) Mike Crash 2009 <mike@mikecrash.com>
 * 
 * main.c is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.c is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _MCMAPCREATENODES_H
#define _MCMAPCREATENODES_H

#include <map.h>
#include <stdio.h>
#include "map_tags.h"

typedef struct
{
  long long id;
  map_position pos;
} osm_node;

//nodepos *get_nodepos(long id);
//long get_nodeindex(long id);
int map_nodeposition(long long nodeid, map_position *pos);
map_tags *map_getnodetags(long long id);
//int change_cross(long nodeid, long oldsegid, long newsegid);
//int update_cross(long nodeid, long segid);
int node_used(long nodeid);
int map_process_cities();
int map_process_nodes();

//int free_nodes(void);

/*int map_addnode(long id, long lat, long lon, osm_tags *tags);
int map_sortnodes(void);
int map_processcities();
int map_processnodes();
int map_cleannodes(void);
int map_write_nodes(FILE *f);
*/

#endif
